unit Confirm;  {FormConfirm with Yes, All, No, Abort buttons}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons;

type
  TFormConfirm = class(TForm)
    LabLine1: TLabel;
    LabLine2: TLabel;
    BitBtnYes: TBitBtn;
    BitBtnNo: TBitBtn;
    BitBtnAll: TBitBtn;
    BitBtnAbort: TBitBtn;
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  FormConfirm: TFormConfirm;

function ExecuteP(ACaption, Line1, Line2:string): TModalresult;


implementation

{$R *.DFM}

function ExecuteP(ACaption, Line1, Line2:string): TModalresult;
  begin
  FormConfirm:=TFormConfirm.Create(Application);
  try
    with FormConfirm do
      begin
      Caption:=ACaption;
      LabLine1.Caption:=Line1;
      LabLine2.Caption:=Line2;
      Result:=ShowModal;
      end;
  finally
    FormConfirm.Free;
  end;
  end;

end.
